{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine btree.extract, update_index, rlist, end_dialog\r\ndeclare subroutine activate_save_select\r\ndeclare function msg, key_sort, utility, fieldcount, ex_vm_rem\r\n$insert lsl_users_equ\r\n$insert msg_equates\r\n$insert rlist_equates\r\n\r\nWithStmt = ''\r\n/*\r\nGrid = .grid->check\r\nif Grid then\r\n   Grid = 'GRID '\r\nend else\r\n   Grid = ''\r\nend\r\n*/\r\nStartDateFrom = .start_date_from->text\r\nStartDateThru = .start_date_thru->text\r\nReactors      = .reactors->array\r\nReactors = ex_vm_rem(Reactors)\r\n\r\nif StartDateFrom = '' Or StartDateThru = '' then\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You must enter a date from and thru...'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\n    return 0\r\nend\r\n\r\nBegDteNum = Iconv(StartDateFrom,'D')\r\nEndDteNum = Iconv(StartDateThru,'D')\r\nDteDifNum = EndDteNum - BegDteNum\r\nIf DteDifNum < 0 Then\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'Date From can not be greater than Date Thru...'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\n    return 0\r\nend\r\n\r\nProblemCategories = .react_probs_cat->array\r\nProblemCategories = ex_vm_rem(ProblemCategories<1>)\r\nServiceIDs        = .react_servs->array\r\nServiceIDs        = ex_vm_rem(ServiceIDs<1>)\r\nPSNs              = .EDT_PSNS->ARRAY\r\nPSNs               = ex_vm_rem(PSNs<1>)\r\n\r\nParameterString = ''\r\nParameterString := StartDateFrom:'*'\r\nParameterString := StartDateThru:'*'\r\nParameterString := Reactors:'*'\r\nParameterString := ProblemCategories:'*'\r\nParameterString := ServiceIDs:'*'\r\nParameterString := PSNs:'*'\r\nParameterString := .chk_include_ri_ids->check:'*'\r\nParameterString := .chk_include_inj_settings->check:'*'\r\nParameterString := .chk_include_reactor_ratios->check\r\n\r\nend_dialog( @window, ParameterString )\r\nreturn 0\r\n"
        }
    }
}